Honeycomb
probe Query

# query_results

Retrieve the results of a query

Run it now
View details

Type | probe
Module | chaoshoneycomb.query.probes
Name | query_results
Return | mapping

Usage

JSON

    {
      "name": "query-results",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaoshoneycomb.query.probes",
        "func": "query_results",
        "arguments": {
          "dataset_slug": "",
          "query_result_id": ""
        }
      }
    }

YAML

    name: query-results
    provider:
      arguments:
        dataset_slug: ''
        query_result_id: ''
      func: query_results
      module: chaoshoneycomb.query.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
dataset_slug | string |  | Yes | Dataset | Dataset slug
query_result_id | string |  | Yes | Query Result Identifier |
timeout | integer | 30 | No | Timeout | Timeout to fetch results when they are not complete yet

Signature

    def query_results(dataset_slug: str,
                      query_result_id: str,
                      timeout: int = 30,
                      configuration: Dict[str, Dict[str, str]] = None,
                      secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Honeycomb
  probe Query

  ## `result_data_must_be_greater_than`

  Check query result to be lower than treshold
- Honeycomb
  probe Query

  ## `result_data_must_be_lower_than`

  Check query result to be lower than treshold
- Honeycomb
  probe Trigger

  ## `trigger_is_resolved`

  Checks that the trigger is in resolved (not “triggered”) state.